Skip to main content
POST
Create or update devices in a batch

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

datasourceId
string
required

Data source identifier from List building data sources.

Body

application/json
devices
object[]
required

Devices to create or update.

Response

Number of devices and points created or updated.

deviceSize
integer

Number of devices created or updated.

Example:

1

pointsSize
integer

Number of points created or updated.

Example:

1